/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

import { ColumnType } from './ColumnType';
import { Relation } from './Relation';

export class Column {
  public name: string;
  public type: ColumnType;
  public relation?: Relation;

  public constructor (name: string, type: ColumnType) {
    this.name = name;
    this.type = type;
  }
}
