/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

export enum PatchActions {
  rename_column = 'rc',
  add_column = 'ac',
  drop_column = 'dc',
  add_relation = 'ar',
  drop_relation = 'dr',
  set_column_type = 'tc',
  add_table = 'at',
  drop_table = 'dt',
  rename_table = 'rt',
  insert_data = 'id',
  update_data = 'ud',
  mutate_data = 'md',
  delete_data = 'dd'
}
